MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026273Community[OCCT] OCCT:Documentationpublic2015-05-27 06:402015-10-23 20:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026273: Comments to methods are misplaced in gp_Vec.cdl
DescriptionIn gp_Vec.cdl and gp_Vec2d.cdl, some comments to methods are placed before them and thus get recognized as related to previous method.

For instance, see gp_Vec.cdl in OCCT 6.8.0:

  SquareMagnitude (me) returns Real is static;
         ---Purpose: Computes the square magnitude of this vector.
     ---C++: inline

        --- Purpose : Adds two vectors

and in gp_Vec.hxx:

  //! Computes the square magnitude of this vector.
  //! Adds two vectors
      Standard_Real SquareMagnitude() const;


The problem has been reported by jmwright in oce: https://github.com/tpaviot/oce/issues/556 [^]
Steps To ReproduceCheck http://dev.opencascade.org/doc/refman/html/classgp___vec.html [^] (e.g. method SquareMagnitude())
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0041587)
git (administrator)
2015-05-27 06:42

Branch CR26273 has been created by abv.

SHA-1: 4eacfde4c48eaa974c5c715b9a3ea2eebbf9795f


Detailed log of new commits:

Author: abv
Date: Wed May 27 06:41:05 2015 +0300

    0026273: Comments to methods are misplaced in gp_Vec.cdl
    
    Location of comments corrected
(0041588)
abv (manager)
2015-05-27 06:44

Fix pushed, please review
(0042191)
ysn (developer)
2015-06-17 13:52
edited on: 2015-06-17 14:11

I only do not understand why I was a reviewer here.

The bug has no relation to OCCT documentation whatsoever.

(0042192)
git (administrator)
2015-06-17 14:12

Branch CR26273 has been updated by ysn.

SHA-1: 3d739c733b02f05e3f1522eae684840a1cc105b8


Detailed log of new commits:

Author: ysn
Date: Wed Jun 17 14:12:08 2015 +0300

    Grammar fix

(0042193)
ysn (developer)
2015-06-17 14:15

I've introduced a small grammar fix.

However, until now comments in the code have been on the conscience and responsibility of developers. Has anything changed?
(0042197)
git (administrator)
2015-06-17 14:45

Branch CR26273 has been updated forcibly by ysn.

SHA-1: 26284734c46d857bc7c52e58755b92eef19385d3
(0042239)
git (administrator)
2015-06-18 17:46

Branch CR26273 has been updated forcibly by mkv.

SHA-1: efdcbb9014be1f852c3336d90c184f87dc9fe51a
(0042254)
mkv (tester)
2015-06-19 11:32

Dear BugMaster,
Branch CR26273 was rebased on branch IR-2015-06-18 of occt git-repository.
SHA-1: efdcbb9014be1f852c3336d90c184f87dc9fe51a
(0042255)
mkv (tester)
2015-06-19 11:33

Dear BugMaster,
Branch CR26273 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: efdcbb9014be1f852c3336d90c184f87dc9fe51a

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)
(0043517)
git (administrator)
2015-07-27 13:39

Branch CR26273 has been deleted by kgv.

SHA-1: efdcbb9014be1f852c3336d90c184f87dc9fe51a

- Related Changesets
occt: master f809e94b
Timestamp: 2015-06-19 08:45:29
Author: abv
Committer: bugmaster
Details ] Diff ]
0026273: Comments to methods are misplaced in gp_Vec.cdl

Location of comments corrected

Grammar fix
mod - src/gp/gp_Vec.cdl Diff ] File ]
mod - src/gp/gp_Vec2d.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-27 06:40 abv New Issue
2015-05-27 06:40 abv Assigned To => kgv
2015-05-27 06:42 git Note Added: 0041587
2015-05-27 06:44 abv Note Added: 0041588
2015-05-27 06:44 abv Status new => resolved
2015-05-27 06:44 abv Steps to Reproduce Updated View Revisions
2015-05-27 06:44 abv Severity minor => text
2015-05-27 06:45 abv Assigned To kgv => ysn
2015-05-27 06:45 abv Category OCCT:Coding => OCCT:Documentation
2015-05-27 06:48 abv Description Updated View Revisions
2015-06-17 13:52 ysn Note Added: 0042191
2015-06-17 13:52 ysn Assigned To ysn => abv
2015-06-17 13:52 ysn Status resolved => reviewed
2015-06-17 14:11 ysn Note Edited: 0042191 View Revisions
2015-06-17 14:12 git Note Added: 0042192
2015-06-17 14:15 ysn Note Added: 0042193
2015-06-17 14:45 git Note Added: 0042197
2015-06-18 17:46 git Note Added: 0042239
2015-06-18 17:50 mkv Assigned To abv => mkv
2015-06-19 11:32 mkv Note Added: 0042254
2015-06-19 11:33 mkv Note Added: 0042255
2015-06-19 11:33 mkv Assigned To mkv => bugmaster
2015-06-19 11:33 mkv Status reviewed => tested
2015-06-19 11:34 mkv Test case number => Not needed
2015-06-19 11:49 bugmaster Changeset attached => occt master f809e94b
2015-06-19 11:49 bugmaster Status tested => verified
2015-06-19 11:49 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043517
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker